EZ_ListTreeWidgetSelectNodeUsingItem(3)

NAME
EZ_ListTreeWidgetSelectNodeUsingItem - set the selection in a list tree widget

SYNOPSIS
#include <EZ.h>

void EZ_ListTreeWidgetSelectNodeUsingItem(EZ_Widget *ltree,
        EZ_Item *item, int *location)

ARGUMENTS
ltree Specifies a list tree widget.

item Specifies a display item.

location Specifies a location (an array of two integers) to display the selection or NULL.

DESCRIPTION

EZ_ListTreeWidgetSelectNodeUsingItem searches the tree in ltree for item. If find, it sets the selection in the list tree widget to the corresponding node. If location is not NULL, the display will be updated so that the selected node is displayed at the specified location.

SEE ALSO
EZ_GetListTreeWidgetTree(3), EZ_GetListTreeWidgetSelection(3), EZ_CreateDirTree(3)